# Starting debug from the workstation command line

To start a debugging session from the workstation command line open a command line session on the client and run the following command:

         java utilities.Debug <args>

where <args> represents any of the following arguments:

- -u = The user
- -s = The system name
- -j = The job description, in the form of: job number/job user/job name
- -p = The program to run, in the form of: program library/program name

When you do not specify enough information to connect to a system, the debugger displays the Sign On dialog.

After you have successfully connected to a system, the debugger displays the Start Debug dialog, where you can specify the information to start debugging activities.

Completing the Start Debug dialog sends a request that contains connection information to the debug hub. The debug hub starts a debug server job, which services and debugs the user job.